import 'package:flutter/material.dart';
import 'package:flutter_firebase_basic_tools/models/abei_user.dart';
import 'package:flutter_firebase_basic_tools/screens/forgot_password.dart';
import 'package:flutter_firebase_basic_tools/widgets/crop_widget.dart';
import 'custom_colors.dart';

class TestWidget extends StatefulWidget {
  @override
  _TestWidgetState createState() => _TestWidgetState();
}

class _TestWidgetState extends State<TestWidget> {
  openHome(AbeiUser abeiUser) {}

  openForgotPassword() {}

  openRegister() {}

  CustomColors customColors = CustomColors();

  List<String> textList = [
    "Ingresa tu folio para restablecer tu contraseña",
    "Folio",
    "Restablecer",
    "Respuesta",
  ];

  List<String> secretQuestionTextList = [
    "¿Cúal fue tu mascota favorita?",
    "¿Cúal fue tu profesor favorito?",
    "¿Cúal fue tu superheroe favorito?",
  ];

  @override
  Widget build(BuildContext context) {
    return ForgotPassword(
      topbarBackgroundColor: Colors.transparent,
      userInfoFormContainerColor1: Colors.white,
      userInfoFormContainerColor2: Colors.white,
      userInfoFormContainerColor3: Colors.white,
      sendEmailButtonColor: customColors.darkBlue,
      languagePickerItemsTextColor: customColors.darkBlue,
      backgroundImagePath: "assets/images/emissor_logo_with_colors.png",
      languagePicker: false,
      openLogin: openRegister,
      textList: textList,
      cardColor: Colors.transparent,
      cardElevation: 0,
      customBackground: Container(
        color: Colors.white,
        width: MediaQuery.of(context).size.width,
        child: Align(
          alignment: Alignment.bottomLeft,
          child: CropWidget(
            child: Image.asset(
              "assets/images/emissor_e_logo.png",
              color: customColors.fuchsia.withOpacity(0.40),
              fit: BoxFit.cover,
            ),
            generalAlignment: Alignment.bottomLeft,
            verticalAlignment: Alignment.topCenter,
            horizontalAlignment: Alignment.centerRight,
            heightFactor: 0.8,
            widthFactor: 0.75,
          ),
        ),
      ),
      logoImagePath: "assets/images/emissor_e_logo.png",
      loginButtonColor: customColors.darkBlue,
      sendEmailButtonGradientColor: LinearGradient(
        begin: FractionalOffset.centerLeft,
        end: FractionalOffset.centerRight,
        colors: [
          customColors.pink,
          customColors.fuchsia,
        ],
      ),
      secretQuestionTextList: secretQuestionTextList,
    );
  }
}
